%define progname	scikit
%define modname		learn
%define newmodname	sklearn
%define module		scikits-learn

Summary:	Python modules for machine learning and data mining
Name:		python-%{module}
Version:	0.17.1
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
Url:		http://scikit-learn.sourceforge.net/
Source0:	https://pypi.python.org/packages/source/s/scikit-learn/%{progname}-%{modname}-%{version}.tar.gz
BuildRequires:	blas-devel
BuildRequires:	python-setuptools
BuildRequires:	python-numpy-devel >= 1.2
BuildRequires:	python-scipy >= 0.7
BuildRequires:	python-matplotlib
BuildRequires:	python-nose >= 0.10
BuildRequires:	pkgconfig(python2)
Provides:	sklearn
Provides:	python-sklearn
Provides:	scikits-learn
Provides:	scikit-learn

%description
sklearn is a Python module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%package -n python3-%{module}
Summary:	World timezone definitions for Python 3
Group:		Development/Python
BuildRequires:	python3-setuptools
BuildRequires:	python3-numpy-devel >= 1.2
BuildRequires:	python3-scipy >= 0.7
BuildRequires:	python3-matplotlib
BuildRequires:	python3-nose >= 0.10
BuildRequires:	pkgconfig(python3)
Provides:	python3-sklearn
Provides:	python3-scikits-learn
Provides:	python3-scikit-learn

%description  -n python3-%{module}
sklearn is a Python 3 module that integrates classic machine learning
algorithms with the tightly-knit world of scientific Python packages
(numpy, scipy, matplotlib).

%prep
%setup -q -n %{progname}-%{modname}-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
popd

%py2_install

%check
%ifnarch %{arm}
%define enable_tests_python3 1
%if %{enable_tests_python3}
cd %{buildroot}%{python3_sitearch}/%{newmodname}/tests
nosetests-%{python3_version} -exe -v sklearn
cd -
%endif
%define enable_tests_python2 1
%if %{enable_tests_python2}
cd %{buildroot}%{python2_sitearch}/%{newmodname}/tests
nosetests -exe -v sklearn
cd -
%endif
%endif

%files
%doc AUTHORS.rst README.rst
%dir %{python2_sitearch}/%{newmodname}
%{python2_sitearch}/%{newmodname}/*
%{python2_sitearch}/%{progname}_%{modname}-*.egg-info

%files -n python3-%{module}
%doc AUTHORS.rst README.rst
%dir %{python3_sitearch}/%{newmodname}
%{python3_sitearch}/%{newmodname}/*
%{python3_sitearch}/%{progname}_%{modname}-*.egg-info


%changelog
* Thu May 26 2016 daviddavid <daviddavid> 0.17.1-3.mga6
+ Revision: 1018773
- rebuild against fixed python-scipy

* Sun Feb 21 2016 daviddavid <daviddavid> 0.17.1-2.mga6
+ Revision: 975116
- disable tests on arm as they fails

* Sun Feb 21 2016 daviddavid <daviddavid> 0.17.1-1.mga6
+ Revision: 975071
- new version: 0.17.1
- use new python macros

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 12 2015 daviddavid <daviddavid> 0.17-1.mga6
+ Revision: 902760
- new version: 0.17

* Fri Oct 09 2015 daviddavid <daviddavid> 0.16.1-1.mga6
+ Revision: 888208
- new version: 0.16.1
- add an URL for Source
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.15.2-4.mga5
+ Revision: 743912
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.15.2-3.mga5
+ Revision: 729715
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.15.2-2.mga5
+ Revision: 688318
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 grenoya <grenoya> 0.15.2-1.mga5
+ Revision: 673766
- new version 0.15.2

* Mon Sep 08 2014 grenoya <grenoya> 0.15.1-1.mga5
+ Revision: 673553
- new version 0.15.1
- add python3 support
- re-enable tests

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.14.1-3.mga4
+ Revision: 544151
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.14.1-2.mga4
+ Revision: 499330
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Oct 11 2013 grenoya <grenoya> 0.14.1-1.mga4
+ Revision: 495506
- new version 0.14.1

* Sun Jan 13 2013 umeabot <umeabot> 0.12-2.mga3
+ Revision: 379470
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 grenoya <grenoya> 0.12-1.mga3
+ Revision: 344035
- disable tests
- new version 0.12
- fix tests (correctly this time)

* Tue Aug 21 2012 grenoya <grenoya> 0.11-1.mga3
+ Revision: 282985
- comment tests (can't pass on BS as it needs to be installed first)
- new version 0.11
- remove patch #0 (merged upstream)
- move to nosetests tests (as indicated by upstream people)

* Fri Sep 23 2011 grenoya <grenoya> 0.9-1.mga2
+ Revision: 147024
- new version 0.9
- fix url

* Sun Jul 17 2011 grenoya <grenoya> 0.8.1-1.mga2
+ Revision: 125407
- clean spec
- add python-nose and python-matplotlib as BuildRequires
- add back check part
- upgrade sources
- rewrite %%file part
- imported package python-scikits-learn


* Wed Mar 09 2011 Lev Givon <lev@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 643097
- Update to 0.7.1.

* Thu Dec 23 2010 Lev Givon <lev@mandriva.org> 0.6-1mdv2011.0
+ Revision: 624194
- Add patch to link extensions against libm.
- Update to 0.6.

* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 0.5-2mdv2011.0
+ Revision: 594036
- rebuld for py 2.7

* Wed Oct 20 2010 Lev Givon <lev@mandriva.org> 0.5-1mdv2011.0
+ Revision: 586971
- import python-scikits-learn


